<!DOCTYPE html PUBLIC "-//w3c//dtd html 4.0 transitional//en">
<html>
<head>
  <meta http-equiv="Content-Type"
 content="text/html; charset=iso-8859-1">
  <meta name="GENERATOR"
 content="Mozilla/4.75 [en] (Windows NT 5.0; U) [Netscape]">
  <title>Week Five Lecture&nbsp; Introduction to HyperText Modeling
Language</title>
</head>
<body>
<div style="font-family: helvetica,arial,sans-serif;">
<center><b><font color="#000000">Week Five
Lecture</font></b>
<p><b><font color="#000000">Multimedia</font></b></p>
</center>
<p>This is our final week for this
class.&nbsp; We will learn how to add multimedia characteristics to our
web page and all the tags are very easy to write.&nbsp; Multimedia even
though is easy to write, Browsers need to have a plug-in to execute
multimedia. <br>
</p>
<p></p>
<p></p>
<hr style="width: 100%; height: 2px;"><b>Multimedia Overview</b>
<p>Multimedia is a combination of sound
and/or video added to your web site versus still images.&nbsp; The
term, "A picture is a thousand words" is just what Multimedia is all
about.&nbsp; Displaying information actively is more effective than
just textual information.&nbsp; Multimedia can also be used
interactively, thus getting clients involved.&nbsp; Some examples of
Interactive Multimedia are:&nbsp; voice command, mouse manipulation,
text entry, touch screen, video capture of the client or live
participation.&nbsp; There is a big drawback on Multimedia and that is
bandwidth.&nbsp; If you have high speed Internet access then Multimedia
sites are excellent resources to visit.&nbsp; If you have a 56K
connection then Multimedia can be horrifying. </p>
<p>There is a limit to Multimedia, clients
do not always want to spend minutes of download time to get to a
specific piece of information.&nbsp; That is why you should set up your
site so that the client has a choice to view your Multimedia
talent.&nbsp; Your starting to see this now at sites with Flash.&nbsp;
There is usually a button that states, Bypass Flash Presentation.&nbsp;
Even Multimedia Vendor web sites load quickly without polluting your
web bandwidth, <a href="http://macromedia.com">Macromedia</a> is a
good example. </p>
<p><b>When not to use Multimedia</b>
</p>
<p>If your page is a reference document
then Multimedia shouldn't be used at all.&nbsp; A good example of
referential information is search engines, phone books and
dictionaries.&nbsp; Clients will stop returning to your site if you
have banners, videos popping up, getting in the way of the information
they wish to view. </p>
<p><b>When to use Multimedia</b> </p>
<p>Tutorials, News, Weather are excellent
examples of when to use Multimedia.&nbsp; Learning online, with
examples that you can interact always helps with learning.&nbsp;
Displaying a news story, viewing video and listening to audio online,
very much like <a href="http://cnn.com">CNN</a> current news events
happening around the world. <br>
</p>
<hr style="width: 100%; height: 2px;"><b>Plug-ins</b><b><o:p></o:p></b>
<p class="MsoNormal">Web Browsers require the use of a plug-in when
working with Multimedia content.<span style="">&nbsp; </span>Plug-ins
allow the browser to
communicate with that particular technology, whether that technology be
Java,
Macromedia Flash or Shockwave, Photoshop, Apple Quicktime, etc.<span
 style="">&nbsp; </span>There are many plug-ins available, such as
for web browsing, audio, video, and other application tools such as
Adobe
Acrobat Reader.<span style="">&nbsp; </span>There are three types of
plug-ins available:&nbsp; hidden, embedded or full screen.<span style="">&nbsp;
</span>Hidden plug-ins execute in the background,
unknown to the user.<span style="">&nbsp; </span>Embedded
plug-ins are executed within the webpage as part of an HTML document.<span
 style="">&nbsp; F</span>ull screen plug-ins execute within their own
environment, e.g.&nbsp; separate window, audio and video players are
examples of a full screen plug-in.<span style="">&nbsp; </span>One of
the more popular plug-ins is the Java 2 Runtime Environment (JRE),
which allows execution of Java Byte Code Applets.<span style="">&nbsp;
Plug-ins sole purpose is to enhance Web Browsers capabilities, such as
Multimedia and Data Processing.<br>
</span></p>
<hr align="left" width="100%"><b>Web Hosting</b>
<p>The is a Web Programming class
requiring Web Hosting.&nbsp; Please review the Web Hosting Instructions
Thread in the Course Materials Newsgroup for detailed
information.&nbsp; <b>Reminder:&nbsp; All assignments are not to be
generated using WYSIWYG tools.&nbsp; I can verify this by viewing your
source.</b> <br>
</p>
<hr align="left" width="100%">
<b>HTML Tags in Detail</b>
<p>The following sections discuss new HTML
tags and code.&nbsp; We will go into each of the tags
individually.&nbsp; Each example will build upon the previous
example.&nbsp; All new material that is added will contain this <b><font
 color="#009900">font and color.</font></b> <br>
</p>
<hr align="left" width="100%">
<b>Sound</b>
<p>Sound on a web page is easy to
write.&nbsp; Sound can be either a link to a sound page, sound
application or background.&nbsp; We will not discuss background
sound.&nbsp; Here is the syntax for both: <br>
&nbsp;
<table bgcolor="#ccffff" border="1" cols="2" width="727">
  <tbody>
    <tr>
      <td width="261">&lt;a
href="soundFile"&gt;text&lt;/a&gt;</td>
      <td width="391">The href tag creates
a link to a sound file.&nbsp; The soundFile property is the file name,
e.g. max.wav</td>
    </tr>
    <tr>
      <td width="261">&lt;embed src="URL"
width="value" height="value" autostart="startvalue" /&gt;</td>
      <td width="391">The embed places a
sound application on the web page.&nbsp; Browsers need a plug-in to
execute the embed tag.&nbsp; The src property is the URL of where the
sound file is located.&nbsp; The width and height properties are the
size of the sound application.&nbsp; The autostart property is a
boolean tag.&nbsp; If you wish the sound to start up automatically when
a client loads your page you would set this to true.&nbsp; Setting
autostart to false the client is required to press the play button on
the sound application.</td>
    </tr>
  </tbody>
</table>
</p>
<hr align="left" width="100%">
<b>Video</b>
<p>Video on a web page is easy to
write.&nbsp; Video can be either a link to a video page or video
application.&nbsp; Here is the syntax for both: <br>
&nbsp;
<table bgcolor="#ccffff" border="1" cols="2" width="696">
  <tbody>
    <tr>
      <td width="261">&lt;a
href="videoFile"&gt;text&lt;/a&gt;</td>
      <td width="391">The href tag creates
a link to a video file.&nbsp; The videoFile property is the file name,
e.g. max.avi</td>
    </tr>
    <tr>
      <td width="261">&lt;embed src="URL"
width="value" height="value" autostart="startvalue" /&gt;</td>
      <td width="391">The embed places a
video application on the web page.&nbsp; Browsers need a plug-in to
execute the embed tag.&nbsp; The src property is the URL of where the
video file is located.&nbsp; The width and height properties are the
size of the sound application.&nbsp; The autostart property is a
boolean tag.&nbsp; If you wish the video to start up automatically when
a client loads your page you would set this to true.&nbsp; Setting
autostart to false the client is required to press the play button on
the video application.</td>
    </tr>
  </tbody>
</table>
</p>
<hr align="left" width="100%">
<b>Multimedia Example</b>
<p>Here's our Resume from week 2 adding
multimedia. </p>
<p>&nbsp;&nbsp;&nbsp; &lt;table border="5"
width="675"&gt; <br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &lt;caption
align="top"&gt;&lt;font size="+2" color="#006600"&gt;Max's
Multimedia&lt;/font&gt;&lt;/caption&gt; <br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &lt;th
width="230"&gt;&lt;font
color="#800080"&gt;Image&lt;/font&gt;&lt;/th&gt;
<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &lt;th
width="100"&gt;&lt;font
color="#f08080"&gt;Sound&lt;/font&gt;&lt;/th&gt;
<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &lt;th
width="300"&gt;&lt;font
color="#f08080"&gt;Video&lt;/font&gt;&lt;/th&gt;
</p>
<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
&lt;tr&gt; <br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
&lt;td width="230"&gt; <br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
&lt;map name="max"&gt; <br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
&lt;area shape="circle" coords="95, 35, 25" href="max.jpg"&gt; <br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
&lt;/map&gt; <br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
&lt;img src="max.jpg" alt="Max The Dog" align="middle" height="110"
width="140" usemap="#max"&gt; <br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
&lt;a href="mailto:restey@email.uophx.edu"&gt;Send me mail&lt;/a&gt;
<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
&lt;/td&gt; </p>
<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
&lt;td width="100"&gt; <br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <b><font color="#009900">&lt;embed
src="max.wav" width="100" height="20"
autostart="false" /&gt;</font></b> <br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
&lt;/td&gt; </p>
<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
&lt;td width="300"&gt; <br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <b><font color="#009900">&lt;embed
src="max.mov" width="300" height="200"
autostart="false" /&gt;</font></b> <br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
&lt;/td&gt; <br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &lt;tr&gt;
<br>
&nbsp;&nbsp;&nbsp; &lt;/table&gt; <br>
&nbsp;
<table style="width: 93%;" border="0" cols="1">
  <tbody>
    <tr>
      <td>&nbsp;<img src="resume5-1.jpg" title="" alt=""></td>
    </tr>
    <tr>
      <td>Figure 5-1 Multimedia Page</td>
    </tr>
  </tbody>
</table>
</p>
<hr align="left" width="100%">
<b>Summary</b>
<p>This lecture gave examples of adding
multimedia to our HTML web page.&nbsp; Multimedia makes the pages more
exciting, however, we don't want to make our web pages to slow that
clients will leave.&nbsp; Remember, content on a web page is very
important and adding a little multimedia makes the web page nice.&nbsp;
If your writing a documentation / reference web page, you do not want
to add multimedia. </p>
<p>Make sure you visit the many sites that
I have referenced, including the real true HTML reference, <a
 href="http://www.w3c.org">http://www.w3c.org.&nbsp;</a> This site is
the W3 consortium and where the Internet standards are based,
referenced and agreed upon. <br>
</p>
<hr width="100%">
<b><font color="#008080">Discussion
Question 1</font></b>
<p>Why are Web delivered multimedia presentations gaining popularity
over standalone presentations? </p>
<p><b><font color="#008080">Discussion
Question 2</font></b> </p>
<p>Discuss the advantages and
disadvantages of multimedia.&nbsp; When should you use / not use
multimedia? </p>
<p><b><font color="#008080">Discussion
Question 3</font></b> </p>
<p>Find a web site that talks about the
future of multimedia.&nbsp; Where is multimedia going?&nbsp; What is
the newest in technology? </p>
<hr size="2" width="100%">
<b>References</b>
<ul>
  <li>Carey, Patrick. (2001).&nbsp; New
Perspectives on Creating Web Pages with HTML - Comprehensive, 2nd
edition.&nbsp; Cambridge, MA: Course Technology ISBN 0-619-01968-9 </li>
  <li>Whatis.com Information Technology
Web Site, Retrieved 2002 May 13 from <a href="http://whatis.com">http://whatis.com</a><br>
W3C, HTML Home Page, Modified 2002 May
10, <a href="http://www.w3.org/MarkUp/">http://www.w3.org/MarkUp/</a></li>
</ul>
<hr style="width: 100%; height: 2px;"><img
 src="../../../../../images/cv64logo.gif" alt=""
 style="width: 32px; height: 32px;" align="left"><small><font
 face="Arial,Helvetica"><a href="mailto:estey@cv64.us">Web
Contact</a></font></small><br>
<small><font face="Arial,Helvetica">
Last modified:&nbsp; 2003 December 31</font></small><small><font
 face="Arial,Helvetica"></font></small>
<ul>
</ul>
</div>
</body>
</html>
